Blooio API Reference
Groups

Create a group

Create a new group. There are two modes:

1. Link to existing iMessage chat: Provide chat_guid to join an existing group chat that was created outside the API. The members list records who is in the group but does NOT add them to the linked iMessage chat. Multiple groups can have the same participants if they have different chat_guids.

2. Create new group: Omit chat_guid to create a new group. When you send the first message, a new iMessage chat will be created. Note: iMessage only allows one chat per unique participant set when created via API.

POST
/groups

Authorization

BearerAuth
AuthorizationBearer <token>

API key authentication. Use your API key as the bearer token.

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

curl -X POST "https://backend.blooio.com/v2/api/groups" \  -H "Content-Type: application/json" \  -d '{    "name": "Sales Team"  }'
{
  "group_id": "string",
  "name": "string",
  "chat_guid": "string",
  "icon_url": "string",
  "member_count": 0,
  "message_count": 0,
  "last_message_text": "string",
  "last_message_time": 0,
  "last_message_direction": "inbound",
  "created_at": 0,
  "added_members": [
    "string"
  ],
  "created_contacts": [
    "string"
  ]
}
{
  "error": "string",
  "status": 0
}
{
  "error": "string",
  "status": 0
}
{
  "error": "string",
  "status": 0
}